How to change .Net framework from Version=3.5.0.0 back to Version=2.0.0.0 ?

Hello,

Can anyone tell me how to change .Net framework from Version=3.5.0.0 back to Version=2.0.0.0 ?

I have 2 different versions of Visual Studio: VS2005 and VS2008. One is running in .NET framework 2.0.0.0 and the other one is running in framework version 3.5.0.0.  When run the web application that is in framework Version 2.0.0.0 in VS2005, I get the error below.  In the web.config of the project, there is no 'System.Core....' assembly listed in the Assemblies section and all other system assemblies are in framework version 2.0.0.0. Also I checked the Microsoft ASP.NET framework in IIS, there is only one version showing in the list, ASP.NET version 2.0.5.0.7.2.7

How do I change the .NET framework from Version=3.5.0.0 back to Version=2.0.0.0 or vice versa?  Thank you very much

could not load file or assembly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies. The system cannot find the file specified.

Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

Exception Details: System.IO.FileNotFoundException: Could not load file or assembly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies. The system cannot find the file specified.

0
boston_ma
5/4/2009 2:02:44 AM
asp.net.config-deploy 12495 articles. 0 followers. Follow

2 Replies
1957 Views

Similar Articles

[PageSpeed] 53

In VS2008 select the project in your solution and right click then select Properties and change the target framework to 2.0

In VS2005 it only supports .NET 2.0

Sounds like your web.config file may have bad references in it.  I would rename the current web.config to web.config.old and create a new on (in VS 2005) and copy any settings you created from the .old to the new one.


- William

Please mark the most helpful reply/replies as "Answer".

Give some of my PWSK modules a try.
0
whighfield
5/4/2009 4:36:31 AM

Hello,

.NET Framewrokd 3.5 is extension to .NET Framework 2.0, so you will not find ASP.NET 3.5 in IIS console.

Anyway you should not have problems with both versions isntalled. This error means that your project requires 3.5 assemblies to be presented, but it could not find it. Do you have installed .NET 3.5 on your machine?

Regards


Windows Hosting ASP.NET | Top ASP.NET Hosts | Dedicated Windows Hosting
0
HostingASPNet
5/4/2009 11:59:52 AM
Reply:

Similar Artilces:

Application created in new version of .NET (3.0 or 3.5) can use the library created in older version of .NET(i.e.-1.0 or 2.0)?
Hi All, I am using Visual Studio .NET compiler for compiling my application . We have plugins (as library) which the user can write by their own in .NET . We are building our code in Visual Studio 2005 but we have already some plug-ins which are written in previous versions of Visual Studio (i.e. 2002 and 2003). Is these plug-ins will work with the new build of the application or I need to build these plug-ins as well in Visual Studio .NET 2005. These plugins are created as library. Is their any differences between .NET 1.0, 2.0 and 3.0 because of which the old libraries (created in o...

2.0.0.2 to version 2.0.0.3
Name: Ed Strait Email: estraitateds-placedotcom Product: Firefox Summary: 2.0.0.2 to version 2.0.0.3 Comments: A week or so ago I was prompted to download and install version 2.0.0.3 as an upgrade from 2.0.0.2. I selected the upgrade and was running the ..3 version since. This morning, out of now where, it downloaded the .2 version and ask to to install which it looked as if I had no choice. After it restarted it was showing that I was running the .2. I then went and checked for any updates and it found the .3 again and installed it. Now I'm back to the .3 again. Any rea...

0.0.0.0 ????
Obviously a local IP, but what are its functions/purpose? Thanks for educating the uneducated. In article <MPG.18bf7ade16e851cb989680@news.grc.com>, shr@p.com says... > > > Obviously a local IP, but what are its functions/purpose? > > Thanks for educating the uneducated. > Any available adapter - i.e. not bound to specific IP address. -- Bloated Elvis In article <MPG.18bf7ade16e851cb989680@news.grc.com>, shr@p.com says... > > > Obviously a local IP, but what are its functions/purpose? > > Thanks for educating the une...

0.0.0.0
Can someone tell me the function of this scan? FWIN,2001/08/28,20:06:43 -6:00 GMT,0.0.0.0:800,255.255.255.255:800,UDP "Ben" <notben@home.com> wrote in message news:9mhion$2hf9$1@news.grc.com... > Can someone tell me the function of this scan? > FWIN,2001/08/28,20:06:43 -6:00 GMT,0.0.0.0:800,255.255.255.255:800,UDP Ben, I haven't a clue. 800 TCP mdbs_daemon 800 UDP mdbs_daemon http://www.robertgraham.com/pubs/firewall-seen.html http://www.robertgraham.com/pubs/firewall-seen.html#3.6 http://www.robertgraham.com/pubs/firewall-seen.html#3.2 -- ...

New versions after 1.5.0.12 2.0.0.3 and 2.0.0.4 do not work properly
Name: Jelle van Buuren Email: jelleatvan-buurendotnet Product: Firefox Summary: New versions after 1.5.0.12 2.0.0.3 and 2.0.0.4 do not work properly Comments: Helleo, I'm sorry to say I am not a webdeveloper expert at all, just a loyal and up till now satisfied daily user. I got lost in your official bug-reports-system, so had to do it this way. I don't even know if my problem can be called a bug, but please take a look to f.i. www.nbrecords.com or www.ns.nl through the new browser FF 2.0 etc. and then do so through FF 1.5.0.12 or IExplorer and you will notice immedi...

AJAX Version=3.5.0.0 and Version=1.0.61025.0
Hi, I have a project that is already running the framework 3.5 and framework 2.  I need to migrate a smaller project that is running framework 1.0 into the larger project.  I was able to move the files over and toolkit over fine.  But when there is a page that requires an ajax toolkit from version 1, the page fails because it cannot find the toolkit. How would I mix the version in the web.config so that both versions are running?  Or is there a way to tell the smaller project to run the newer version? Thanks.  <!-- START Added AJAX Version=3...

Firefox version 2.0.0.3 is being updated to 2.0.0.2?
Name: Russell Nelson Email: rnelsonatgenedotcom Product: Firefox Summary: Firefox version 2.0.0.3 is being updated to 2.0.0.2? Comments: I am currently using a version of Firefox with the version number of 2.0.0.3. This is the second time that I have been told that it has now been updated to a newer version of Firefox with a version number of 2.0.0.2. I assume that 2.0.0.3 is newer (and better) than version 2.0.0.2. How can I stop this "update"? Russ Nelson 650-225-7212 Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.1.3) Gecko/20070...

63.0.0.0.0/255..0.0.0
Has anyone ever heard of this or know where it goes to.It was asking permission to act as a server? Thanks in advance for any help. "pb" <nothing@nomail.com> wrote in message news:9pa1u4$38b$1@news.grc.com... > Has anyone ever heard of this or know where it goes to.It was asking > permission to act as a server? Thanks in advance for any help. If it shows in your firewall log, can you post a copy of it? -- � -- Robert grc.com forum FAQ - http://grc.com/discussions.htm grc.com forum quick reference - http://grc.com/nntpquickref.htm grc.com forum disclaim...

Versions 2.0.0.9 and 2.0.0.10
Name: Bert Royden Email: walldiveratyahoodotcom Product: Firefox Summary: Versions 2.0.0.9 and 2.0.0.10 Comments: I downloaded the .10 version and immediately was unable to open any pdf web pages. I've gotten rid of version .10, but I have no idea where to redownload 2.0.0.9. There should be an easy place on your website to download previous versions of Firefox. Sincerely, Bert Royden Browser Details: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1) ...

Versions 2.0.0.13 and 2.0.0.14
Name: Peter Dalton Product: Firefox Summary: Versions 2.0.0.13 and 2.0.0.14 Comments: Have allowed install of both the above but now have to search and drop back to an earlier version because I now have C+ library Runtime Errors. Reported but no feedback comes. Soon it will be IE7 instead ? Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13 From URL: http://hendrix.mozilla.org/ ...

Seems to be installing version 2.0.0.10 and then 2.0.0.11 and back again
Name: Randy Sly Email: randydotslyatgd-aisdotcom Product: Firefox Summary: Seems to be installing version 2.0.0.10 and then 2.0.0.11 and back again Comments: Something is mixed up with the auto updating. Almost every day when I start up Firefox, after a few minutes, it asks me to allow it to restart to load a new version. I have watched it update back and forth between 20.0.0.10 and 2.0.0.11 almost every other day. Any idea what is causing this? Thanks, Randy Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.10) Gecko/20071115 Firefox/2.0.0....

2.0.0.3 Says it found new version, but it's 2.0.0.2
The Updated version dialog pops up and says the latest version is 2.0.0.2, but I'm running 2.0.0.3! I went ahead and did the update, and sure enough, I now have 2.0.0.2. And when I check for updates, it says there are no new versions. Did Mozilla do this on purpose? Is this happening to anyone besides me? jishcat@gmail.com wrote: > The Updated version dialog pops up and says the latest version is > 2.0.0.2, but I'm running 2.0.0.3! I went ahead and did the update, and > sure enough, I now have 2.0.0.2. And when I check for updates, it > says there are no new...

Automated cleanup tool to remove the .NET Framework 1.0, 1.1, 2.0, 3.0 and 3.5
"I have posted an updated version of the .NET Framework cleanup tool that now contains support for automatically cleaning up the .NET Framework 1.0, the .NET Framework 1.1, the .NET Framework 2.0, the ..NET Framework 3.0 and the .NET Framework 3.5. This tool automates the manual cleanup steps for the .NET Framework 2.0 that I posted a while ago. These steps have helped solve most of the known .NET Framework 2.0 beta uninstall issues that I know of. In addition, the tool can be useful to return your system to a known (relatively clean) state in case you run into any .NET Framew...

System.Net.WebPermission, System, Version=2.0.0.0 ....
Hi, I am Calling a webservice from PB 11 Client Server app. I am getting the below error message upon calling a function provided by the web service. I have sucessfully connected to and created an instance of the webservice. c = Create SoapConnection rc = c.CreateInstance ( p_MyADLogin, "p_adlogin") str = p_MyADLogin.login() Request for the permission of type 'System.Net.WebPermission, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' failed. The web service does not require authentication. It just gets the user id and password and va...

Web resources about - How to change .Net framework from Version=3.5.0.0 back to Version=2.0.0.0 ? - asp.net.config-deploy

Framework - Wikipedia, the free encyclopedia
Text is available under the Creative Commons Attribution-ShareAlike License ;additional terms may apply. By using this site, you agree to the ...

Xposed framework for Android 6.0 Marshmallow could arrive this week
Towards the end of October we told you that Xposed framework for Android 6.0 Marshmallow would soon become available for all. While that's still ...

Safe Harbor 2.0 framework begins to capsize as January deadline nears
(credit: Andree Stephan ) Safe Harbour 2.0, currently being drawn up by the EU and US authorities, "will not provide a viable framework for ...

How to find which versions of the .NET Framework are installed on a PC
Check the system requirements for a Windows application and you’ll often find it needs some minimum version of Microsoft’s .NET Framework. .NET ...

Frameworks releasing 'Time Spent' EP
by Andrew Sacher photo by Shauna Hundeby Gainesville's Frameworks became one of the more promising new bands in the current wave of screamo with ...

Cisco Announces New Skills Framework to Address Evolving Technology
Internet of Things (IoT), cloud, business transformation and network programmability will influence all Cisco Career Certifications.

Google engineers craft a Dart framework for iOS and Android
The UI framework uses its own rendering engine to draw widgets

Int'l groups launch new global framework to eliminate human rabies
... the worst rabies problem. Metro Manila (CNN Philippines) – International organizations launched on Thursday (December 10) a new global framework ...

The Complex Framework Of The UN Climate Talks, Demystified
As COP21 convenes this week in Paris, this data viz breaks down all you need to know about the history, key players, and big decisions. Yesterday, ...

Angular-Meteor links JavaScript frameworks
... build system improvements and ECMAScript compliance Angular-Meteor, Meteor's technology for using the Angular and Meteor JavaScript frameworks ...

Resources last updated: 12/20/2015 8:29:47 PM